Package org.apache.batchee.container.impl

## Class StepContextImpl

- java.lang.Object
- - org.apache.batchee.container.impl.StepContextImpl

- All Implemented Interfaces:
    `javax.batch.runtime.context.StepContext`

      public class StepContextImpl
      extends Object
      implements javax.batch.runtime.context.StepContext

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StepContextImpl​(String stepId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addMetric​(javax.batch.runtime.Metric.MetricType metricType, long value)` |
    `String` | `getBatchletProcessRetVal()` |
    `javax.batch.runtime.BatchStatus` | `getBatchStatus()` |
    `Timestamp` | `getEndTimeTS()` |
    `Exception` | `getException()` |
    `String` | `getExitStatus()` |
    `MetricImpl` | `getMetric​(javax.batch.runtime.Metric.MetricType metricType)` |
    `javax.batch.runtime.Metric[]` | `getMetrics()` |
    `Serializable` | `getPersistentUserData()` |
    `Properties` | `getProperties()` |
    `Timestamp` | `getStartTimeTS()` |
    `long` | `getStepExecutionId()` |
    `long` | `getStepInternalExecID()` |
    `String` | `getStepName()` |
    `Object` | `getTransientUserData()` |
    `Map<String,​javax.batch.runtime.Metric>` | `metricsAsMap()` |
    `void` | `setBatchletProcessRetVal​(String batchletProcessRetVal)` |
    `void` | `setBatchStatus​(javax.batch.runtime.BatchStatus status)` |
    `void` | `setEndTime​(Timestamp endTS)` |
    `void` | `setException​(Exception exception)` |
    `void` | `setExitStatus​(String status)` |
    `void` | `setInternalStepExecutionId​(long stepExecutionId)` |
    `void` | `setPersistentUserData​(Serializable data)` |
    `void` | `setStartTime​(Timestamp startTS)` |
    `void` | `setStepExecutionId​(long stepExecutionId)` |
    `void` | `setTransientUserData​(Object data)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StepContextImpl

          public StepContextImpl​(String stepId)

  - ### Method Detail

    - #### getBatchStatus

          public javax.batch.runtime.BatchStatus getBatchStatus()

      Specified by:
        `getBatchStatus` in interface `javax.batch.runtime.context.StepContext`

    - #### getException

          public Exception getException()

      Specified by:
        `getException` in interface `javax.batch.runtime.context.StepContext`

    - #### setException

          public void setException​(Exception exception)

    - #### getExitStatus

          public String getExitStatus()

      Specified by:
        `getExitStatus` in interface `javax.batch.runtime.context.StepContext`

    - #### getStepName

          public String getStepName()

      Specified by:
        `getStepName` in interface `javax.batch.runtime.context.StepContext`

    - #### getMetrics

          public javax.batch.runtime.Metric[] getMetrics()

      Specified by:
        `getMetrics` in interface `javax.batch.runtime.context.StepContext`

    - #### metricsAsMap

          public Map<String,​javax.batch.runtime.Metric> metricsAsMap()

    - #### getMetric

          public MetricImpl getMetric​(javax.batch.runtime.Metric.MetricType metricType)

    - #### addMetric

          public void addMetric​(javax.batch.runtime.Metric.MetricType metricType,
                                long value)

    - #### getPersistentUserData

          public Serializable getPersistentUserData()

      Specified by:
        `getPersistentUserData` in interface `javax.batch.runtime.context.StepContext`

    - #### getProperties

          public Properties getProperties()

      Specified by:
        `getProperties` in interface `javax.batch.runtime.context.StepContext`

    - #### getTransientUserData

          public Object getTransientUserData()

      Specified by:
        `getTransientUserData` in interface `javax.batch.runtime.context.StepContext`

    - #### setExitStatus

          public void setExitStatus​(String status)

      Specified by:
        `setExitStatus` in interface `javax.batch.runtime.context.StepContext`

    - #### setBatchStatus

          public void setBatchStatus​(javax.batch.runtime.BatchStatus status)

    - #### setPersistentUserData

          public void setPersistentUserData​(Serializable data)

      Specified by:
        `setPersistentUserData` in interface `javax.batch.runtime.context.StepContext`

    - #### setTransientUserData

          public void setTransientUserData​(Object data)

      Specified by:
        `setTransientUserData` in interface `javax.batch.runtime.context.StepContext`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getStepExecutionId

          public long getStepExecutionId()

      Specified by:
        `getStepExecutionId` in interface `javax.batch.runtime.context.StepContext`

    - #### getStepInternalExecID

          public long getStepInternalExecID()

    - #### setStepExecutionId

          public void setStepExecutionId​(long stepExecutionId)

    - #### setInternalStepExecutionId

          public void setInternalStepExecutionId​(long stepExecutionId)

    - #### setStartTime

          public void setStartTime​(Timestamp startTS)

    - #### setEndTime

          public void setEndTime​(Timestamp endTS)

    - #### getStartTimeTS

          public Timestamp getStartTimeTS()

    - #### getEndTimeTS

          public Timestamp getEndTimeTS()

    - #### getBatchletProcessRetVal

          public String getBatchletProcessRetVal()

    - #### setBatchletProcessRetVal

          public void setBatchletProcessRetVal​(String batchletProcessRetVal)